Skip to main content
GET
/
safety-scores
/
vehicles
Get vehicle scores
curl --request GET \
  --url https://api.samsara.com/safety-scores/vehicles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "behaviors": [
        {
          "behaviorType": "acceleration",
          "count": 5,
          "scoreImpact": -18.91020325321117
        }
      ],
      "driveDistanceMeters": 2207296,
      "driveTimeMilliseconds": 136997730,
      "speeding": [
        {
          "durationMilliseconds": 178773,
          "scoreImpact": -0.13049340306587562,
          "speedingType": "light"
        }
      ],
      "vehicleId": "5678",
      "vehicleScore": 92
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

endTime
string
required

End time in RFC 3339 format. Millisecond precision and timezones are supported. Includes trips that end before this timestamp.

startTime
string
required

Start time in RFC 3339 format. Millisecond precision and timezones are supported. Includes trips that end after this timestamp. Can be up to 1 year before endTime.

vehicleIds
string[]

Comma separated list of vehicle IDs to filter by. Include up to 100 IDs. Defaults to all vehicles.

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of vehicle risk factors.

pagination
object
required

Pagination parameters.